package com.hyc.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * 解析规则
 *
 * @author YouChe·He
 * @ClassName: AnalyzeRule
 * @Description: 解析规则
 * @CreateTime: 2024/6/27 14:12
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class AnalyzeRule {
    /**
     * 起始位置
     */
    private Integer startIndex;
    /**
     * 终止位置
     */
    private Integer endIndex;
    /**
     * 属性名称
     */
    private String fieldsName;
    /**
     * 属性类型
     */
    private String fieldsType;
    /**
     * 1:基础 2:预警
     */
    private Integer dataType;
}
