package com.hyc.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 模拟小车绑定事件
 *
 * @author YouChe·He
 * @ClassName: CarIncidentHandle
 * @Description: 模拟小车绑定事件
 * @CreateTime: 2024/6/10 10:25
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CarIncidentHandle {
    /**
     * id
     */
    private Double id;
    /**
     * 车辆VIN
     */
    private String vin;
    /**
     * 绑定事件 1:车辆录入2:实时数据
     */
    private String carIncident;
}
