package com.hyc.domain;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
/**
 * 连接MQTT参数
 *
 * @author YouChe·He
 * @ClassName: ConnectionParameter
 * @Description: 连接MQTT参数
 * @CreateTime: 2024/5/30 18:52
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ConnectionParameter {
    private String broker;
    private String username;
    private String password;
    private String clientid;
    private String topic;
}
