package com.hyc.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.Date;

/**
 * 故障消息对象
 *
 * @author YouChe·He
 * @ClassName: FaultMessage
 * @Description: 故障消息对象
 * @CreateTime: 2024/6/20 15:30
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class FaultMessage {
    /**
     * VIN
     */
    private String vin;
    /**
     * 故障码
     */
    private String faultCode;
    /**
     * 发生时间
     */
    private Date occurrenceTime;
    /**
     * 动作类型
     */
    private String actionType;

}
