package com.hyc.domain.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;

/**
 * 小车绑定事件更新类
 *
 * @author YouChe·He
 * @ClassName: CarEventUpdate
 * @Description: 小车绑定事件更新类
 * @CreateTime: 2024/6/15 18:46
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class CarEventUpdate implements Serializable{
    /**
     * 修改小车VIN
     */
    private String vin;
    /**
     * 动作类型
     */
    private String handleEvent;

}
