package com.hyc.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.HashMap;

/**
 * 指标预警事件响应类
 *
 * @author YouChe·He
 * @ClassName: IndexWarnEventResp
 * @Description: 指标预警事件响应类
 * @CreateTime: 2024/6/29 08:42
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class IndexWarnEventResp {
    /**
     * 小车VIN
     */
    private String vin;
    /**
     * 趋势
     */
    private String tendency;
    /**
     * 平均值
     */
    private Double average;
    /**
     * 指标项
     */
    private String indexName;
}
