//package com.hyc.simulate.faulttest.listener;
//
//import com.alibaba.fastjson.JSONObject;
//import com.hyc.config.RabbitmqConfig;
//import com.hyc.domain.FaultMessage;
//import com.hyc.domain.resp.IndexWarnEventResp;
//import com.hyc.simulate.faulttest.domain.FaultRecord;
//import com.hyc.simulate.faulttest.service.FaultRecordService;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import com.rabbitmq.client.Channel;
//import org.springframework.amqp.core.Message;
//
//import java.util.List;
//
///**
// * 故障测试监听
// *
// * @author YouChe·He
// * @ClassName: FaultTestController
// * @Description: 故障测试监听
// * @CreateTime: 2024/6/21 09:17
// */
//@Slf4j
//@Component
//public class FaultTest {
//
//    @Autowired
//    private FaultRecordService faultRecordService;
//
//    @RabbitListener(queues = RabbitmqConfig.FAULT_MESSAGE_QUEUE)
//    public void receiveMessage(String faultMessage, Channel channel, Message message) throws Exception {
//
//        // 处理消息
//        log.error("故障消费者得到的消息是:{}", faultMessage);
//
//        //判断消息动作类型,添加还是修改
//        FaultMessage faultMessageObject = JSONObject.parseObject(faultMessage, FaultMessage.class);
//        if ("insert".equals(faultMessageObject.getActionType())){
//            //故障开始消息.进行添加
//            faultRecordService.insertFault(new FaultRecord(null,faultMessageObject.getFaultCode(),faultMessageObject.getVin(),faultMessageObject.getOccurrenceTime(),null,null,null));
//        } else if ("update".equals(faultMessageObject.getActionType())) {
//            //故障结束,修改
//            faultRecordService.updateFault(new FaultRecord(null,faultMessageObject.getFaultCode(),faultMessageObject.getVin(),null,faultMessageObject.getOccurrenceTime(),null,null));
//        }
//    }
//
//    @RabbitListener(queues = RabbitmqConfig.INDEX_WARN_QUEUE)
//    public void indexWarnEventMessage(String indexWarnMessage,Channel channel,Message message){
////        List<IndexWarnEventResp> indexWarnEventResps = JSONObject.parseArray(indexWarnMessage, IndexWarnEventResp.class);
//        log.info("rabbitmq指标预警消费者得到的信息是:{}",indexWarnMessage);
//    }
//}
