package com.hyc.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 服务对应负载
 *
 * @author YouChe·He
 * @ClassName: GetWayServerLoad
 * @Description: 服务对应负载
 * @CreateTime: 2024/6/2 22:05
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class GetWayServerLoad {
    /**
     * 服务ip
     */
    private String ip;
    /**
     * 负载率
     */
    private Double loadNum;
    /**
     * 内存使用率
     */
    private Double memoryNum;
    /**
     * CPU使用率
     */
    private Double cpuNum;
}
