package com.hyc.domain;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * 节点名称
 *
 * @author YouChe·He
 * @ClassName: NodeName
 * @Description: 节点名称
 * @CreateTime: 2024/6/16 10:03
 */
@Configuration
public class NodeName {
    @Value("${event.name}")
    private String name;
    @Value("${event.partition}")
    private String partition;
    public String getNodeName(){
        return name+"_"+partition;
    }
}
