package com.hyc.domain.req;

import com.hyc.domain.AnalyzeRule;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

/**
 * 报文修改请求参数
 *
 * @author YouChe·He
 * @ClassName: AnalyzeRuleReq
 * @Description: 报文修改请求参数
 * @CreateTime: 2024/6/29 11:29
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class AnalyzeRuleReq {
    /**
     * vin
     */
    private String vin;
    /**
     * 报文详情
     */
    private List<AnalyzeRule> analyzeRules;
}
