package com.hyc.iotdbdemo.server;

import com.alibaba.fastjson.JSONObject;
import com.hyc.domain.VehicleData;
import com.hyc.iotdbdemo.model.param.IotDbParam;
import org.apache.iotdb.rpc.IoTDBConnectionException;
import org.apache.iotdb.rpc.StatementExecutionException;

import java.rmi.ServerException;

/**
 * description: iot服务类
 * date: 2022/8/15 21:41
 * author: zhouhong
 */

public interface IotDbServer {
    /**
     * 添加数据
     */
    void insertData(JSONObject jsonObject) throws StatementExecutionException, ServerException, IoTDBConnectionException;

    /**
     * 查询数据
     */
    Object queryDataFromIotDb(IotDbParam vehicleData) throws Exception;
}
