package com.hyc.simulate.faulttest.service.impl;

import com.hyc.simulate.faulttest.domain.FaultRecord;
import com.hyc.simulate.faulttest.mapper.FaultRecordMapper;
import com.hyc.simulate.faulttest.service.FaultRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 故障记录impl
 *
 * @author YouChe·He
 * @ClassName: FaultRecordServiceImpl
 * @Description: 故障记录impl
 * @CreateTime: 2024/6/21 18:48
 */
@Service
public class FaultRecordServiceImpl implements FaultRecordService {

    @Autowired
    private FaultRecordMapper faultRecordMapper;
    @Override
    public void insertFault(FaultRecord faultRecord) {
        faultRecordMapper.insertFault(faultRecord);
    }

    @Override
    public void updateFault(FaultRecord faultRecord) {
        faultRecordMapper.updateFault(faultRecord);
    }
}
